uniform float fade;
uniform sampler2D tex0,tex1;

void main(void) {
	vec4 color = texture2D(tex0,gl_TexCoord[0].st);
	vec4 color2 = texture2D(tex1,gl_TexCoord[0].st);
	gl_FragData[0] = color+color2;

	if(fade<0)
	fade=0;
	gl_FragData[0] *= fade;
	//gl_FragData[0].x = texture2D(tex0,gl_TexCoord[0].st+vec2(0.002,0.002)).x;
	//gl_FragData[0].y = texture2D(tex0,gl_TexCoord[0].st-vec2(0.002,0.002)).y;
}
